T3HIGHLIGHT(1)

NAME
t3highlight - create syntax highlighted document from source file.

SYNOPSIS
t3highlight [OPTION]... [FILE]

DESCRIPTION
t3highlight reads a source file and creates a syntax highlighted document from it.

OPTIONS
t3highlight accepts the following options:

-d  type, --document-type=type
    For styles which define multiple document types, select a specific type instead of the default. For example, the html style supplied with t3highlight provides the standalone, separate-css and raw styles. By default the first (standalone) is chosen. See the -D/--list-document-types option for finding out the available document types.

-D, --list-document-types
    Show a list of the available document types for the selected output style, and exit.

-l lang, --language=lang
    Use source language lang for highlighting. See the -L/--list option for finding out the available languages.

--language-file=file
    Use the file file for highlighting. This option allows loading of highlighting patterns directly from a file, rather than using a named language from the lang.map file. This is particularly useful when developing new highlighting patterns.

-L, --list
    Show a list of all the available source languages and output styles, and exit.

-s style, --style=style
    Use output style style to create the output document. The default is the esc style, which uses escape sequences to provide colored output to the terminal. See the -L/--list option for finding out the available styles.

-t tag, --tag=tag
    The header and footer, as defined by the document style, may contain tag references in the form %{name}. The tags name and charset are always defined, but a document style may include more. This option allows specification of extra values, or overriding of predefined tags. tag must have the form name=value.

    Tags in the header or footer that have not been defined will be removed. An example of a custom tag is the css tag used in the separate-css document style of the html output style. This allows insertion of the desired CSS style sheet URL into the generated file.

-v, --verbose
    Print verbose warning messages.

FILES
libt3highlight, which is used by t3highlight to do the highlighting, and t3highlight itself look for their data files in the directory $HOME/.local/share/libt3highlight and /usr/share/libt3highlight? (where ? is a digit indicating the binary API version). The documentation on how to write highlighting patterns and style files is normally installed in /usr/share/doc/libt3highlight.

BUGS
If you think you have found a bug, please check that you are using the latest version of libt3highlight <http://os.ghalkes.nl/libt3highlight.html>. When reporting bugs, please include a minimal example that demonstrates the problem.

AUTHOR
G.P. Halkes <libt3highlight@ghalkes.nl>

COPYRIGHT
Copyright © 2012 G.P. Halkes
libt3highlight is licensed under the GNU General Public License version 3.
For more details on the license, see the file COPYING in the documentation directory. On Un*x systems this is usually /usr/share/doc/libt3highlight.